/*
 * ExtremumDetection.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include <math.h>
#include <stdint.h>

#ifndef SYSCTRL_EXTREMUMDETECTION_H_
#define SYSCTRL_EXTREMUMDETECTION_H_

namespace SYSCTRL
{

class ExtremumDetection
{
private:
    float m_max_value;
    float m_min_value;
public:
    ExtremumDetection();
    void execute(float ia, float ib, float ic);
};

} /* namespace SYSCTRL */

#endif /* SYSCTRL_EXTREMUMDETECTION_H_ */
