/*
 * TypeControl.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#ifndef SYSCTRL_TYPECONTROL_H_
#define SYSCTRL_TYPECONTROL_H_


#ifndef VECTORCONTROL
#define VECTORCONTROL 1
#endif

#ifndef SCALARCONTROL
#define SCALARCONTROL 2
#endif

#ifndef DIRECTREVERSECONTROL
#define DIRECTREVERSECONTROL 3
#endif

#ifndef TYPECONTROL
//#define TYPECONTROL VECTORCONTROL
#define TYPECONTROL SCALARCONTROL
//#define TYPECONTROL DIRECTREVERSECONTROL
#endif


#ifndef CURRENTCONTROLLER_PI
#define CURRENTCONTROLLER_PI    1
#endif
#ifndef CURRENTCONTROLLER_P
#define CURRENTCONTROLLER_P     2
#endif

#ifndef TYPECURRENTCONTROLLER
#define TYPECURRENTCONTROLLER CURRENTCONTROLLER_PI
//#define TYPECURRENTCONTROLLER CURRENTCONTROLLER_P
#endif


#define VOLTAGE_CONTROLLER_I    1
#define VOLTAGE_CONTROLLER_PII    2
#define TYPE_VOLTAGE_CONTROLLER VOLTAGE_CONTROLLER_I
//#define TYPE_VOLTAGE_CONTROLLER VOLTAGE_CONTROLLER_PII


#ifndef TYPEVOLTAGEDECOMPOSE_SIMPLE
#define TYPEVOLTAGEDECOMPOSE_SIMPLE     1
#endif
#ifndef TYPEVOLTAGEDECOMPOSE_DIFFICULT
#define TYPEVOLTAGEDECOMPOSE_DIFFICULT  2
#endif

#ifndef TYPEVOLTAGEDECOMPOSE
//#define TYPEVOLTAGEDECOMPOSE TYPEVOLTAGEDECOMPOSE_SIMPLE
#define TYPEVOLTAGEDECOMPOSE TYPEVOLTAGEDECOMPOSE_DIFFICULT
#endif



// SCALAR CONTROL
#ifndef SCALARCONTROL_VOLTAGEREGULATOR_ABC
#define SCALARCONTROL_VOLTAGEREGULATOR_ABC 7
#endif

#ifndef SCALARCONTROL_VOLTAGEREGULATOR_RMS
#define SCALARCONTROL_VOLTAGEREGULATOR_RMS 8
#endif

#ifndef SCALARCONTROL_VOLTAGEREGULATOR
//#define SCALARCONTROL_VOLTAGEREGULATOR  SCALARCONTROL_VOLTAGEREGULATOR_ABC
#define SCALARCONTROL_VOLTAGEREGULATOR  SCALARCONTROL_VOLTAGEREGULATOR_RMS
#endif



#ifndef TYPE_ORTS_NORMAL
#define TYPE_ORTS_NORMAL 10
#endif
#ifndef TYPE_ORTS_BACK
#define TYPE_ORTS_BACK 11
#endif
#ifndef TYPE_ORTS_FORWARD
#define TYPE_ORTS_FORWARD 12
#endif

#ifndef TYPE_ORTS
#define TYPE_ORTS TYPE_ORTS_NORMAL
//#define TYPE_ORTS TYPE_ORTS_BACK
//#define TYPE_ORTS TYPE_ORTS_FORWARD
#endif

#endif /* SYSCTRL_TYPECONTROL_H_ */
